Dynamo and Sweep Issue!

Greeting dear all,

I am making a basic sweep in Revit, it made of 2 lines and then I filleted the corner to make a curved corner, and when I select the sweep to Dynamo, I get a circle instead of a curved corner!!
Any idea why?? and what is the solutions??
Many thanks to you in advance

The original sweep before I imported the geometry into Dynamo is shown below

looks like a known old known issue:

1 Like

Thanks Michael, so is it an un-fixable bug in Dynamo!!??

not unfixable :slight_smile: - I noted your post there on the issue, the more sample graphs and revit files the revit team has the more likely it is they can fix it.

2 Likes

I will attach Revit Family file, thanks
I will add it there too
Family1.rfa (348 KB)

Hi @firas007noori @Michael_Kirschner2

Might be fixable :slight_smile:

Is this what you’re trying to achieve?

1 Like

YES!!! exactly!! how??
thanks

Mark the post as solved. You’re Welcome!

import clr

clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript import Geometry as gm

clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc =  DocumentManager.Instance.CurrentDBDocument

clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
clr.ImportExtensions(Revit.GeometryConversion)

#Input
f = UnwrapElement(IN)[0]

# Get Profile and sketch path of sweep
path = gm.PolyCurve.ByJoinedCurves([l.ToProtoType() for l in f.PathSketch.Profile])
profile = gm.PolyCurve.ByJoinedCurves([l.ToProtoType() for l in f.ProfileSketch.Profile])

# Build the solid....
OUT = gm.Solid.BySweep(profile,path)
2 Likes

Mate!! I cannot thank you enough!!!
I do really appreciate your help.
I am wondering what do you advise to learn Python!!??
I am an architect and I teach Computer Graphic Application at Uni, I have my YouTube Channel teaching AutoCAD, Revit and Dynamo for free, now after this curve issue I will start focusing on Dynamo and Revit in the same time. so if you have an architectural source for Python or anything you recommend, I will be more thankful :slight_smile:

This would be a good start for you:

3 Likes

Many Thanks dear Kulkul